Index: gnu/usr.bin/perl/INSTALL
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/INSTALL,v
diff -u -p -a -u -p -r1.29 INSTALL
--- gnu/usr.bin/perl/INSTALL	8 Jul 2023 14:18:35 -0000	1.29
+++ gnu/usr.bin/perl/INSTALL	20 Dec 2023 03:20:07 -0000
@@ -683,7 +683,7 @@ The directories set up by Configure fall
 
 =item Directories for the perl distribution
 
-By default, Configure will use the following directories for 5.36.1.
+By default, Configure will use the following directories for 5.36.3.
 $version is the full perl version number, including subversion, e.g.
 5.12.3, and $archname is a string like sun4-sunos,
 determined by Configure.  The full definitions of all Configure
@@ -2506,7 +2506,7 @@ L<https://www.chiark.greenend.org.uk/~sg
 
 =head1 Coexistence with earlier versions of perl 5
 
-Perl 5.36.1 is not binary compatible with versions of Perl earlier than.
+Perl 5.36.3 is not binary compatible with versions of Perl earlier than.
 5.36.0.  In other words, you will have to recompile your XS modules.
 
 In general, you can usually safely upgrade from one stable version of Perl
@@ -2581,9 +2581,9 @@ won't interfere with another version.  (
 libraries after 5.6.0, but not for executables. TODO?)  One convenient
 way to do this is by using a separate prefix for each version, such as
 
-	sh Configure -Dprefix=/opt/perl5.36.1
+	sh Configure -Dprefix=/opt/perl5.36.3
 
-and adding /opt/perl5.36.1/bin to the shell PATH variable.  Such users
+and adding /opt/perl5.36.3/bin to the shell PATH variable.  Such users
 may also wish to add a symbolic link /usr/local/bin/perl so that
 scripts can still start with #!/usr/local/bin/perl.
 
@@ -2598,11 +2598,11 @@ yet.
 
 =head2 Upgrading from 5.35.11 or earlier
 
-B<Perl 5.36.1 may not be binary compatible with Perl 5.35.11 or
+B<Perl 5.36.3 may not be binary compatible with Perl 5.35.11 or
 earlier Perl releases.>  Perl modules having binary parts
 (meaning that a C compiler is used) will have to be recompiled to be
-used with 5.36.1.  If you find you do need to rebuild an extension with
-5.36.1, you may safely do so without disturbing the older
+used with 5.36.3.  If you find you do need to rebuild an extension with
+5.36.3, you may safely do so without disturbing the older
 installations.  (See L<"Coexistence with earlier versions of perl 5">
 above.)
 
@@ -2635,15 +2635,15 @@ Firstly, the bare minimum to run this sc
      print("$f\n");
   }
 
-in Linux with perl-5.36.1 is as follows (under $Config{prefix}):
+in Linux with perl-5.36.3 is as follows (under $Config{prefix}):
 
   ./bin/perl
-  ./lib/perl5/5.36.1/strict.pm
-  ./lib/perl5/5.36.1/warnings.pm
-  ./lib/perl5/5.36.1/i686-linux/File/Glob.pm
-  ./lib/perl5/5.36.1/feature.pm
-  ./lib/perl5/5.36.1/XSLoader.pm
-  ./lib/perl5/5.36.1/i686-linux/auto/File/Glob/Glob.so
+  ./lib/perl5/5.36.3/strict.pm
+  ./lib/perl5/5.36.3/warnings.pm
+  ./lib/perl5/5.36.3/i686-linux/File/Glob.pm
+  ./lib/perl5/5.36.3/feature.pm
+  ./lib/perl5/5.36.3/XSLoader.pm
+  ./lib/perl5/5.36.3/i686-linux/auto/File/Glob/Glob.so
 
 Secondly, for perl-5.10.1, the Debian perl-base package contains 591
 files, (of which 510 are for lib/unicore) totaling about 3.5MB in its
Index: gnu/usr.bin/perl/MANIFEST
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/MANIFEST,v
diff -u -p -a -u -p -r1.68 MANIFEST
--- gnu/usr.bin/perl/MANIFEST	3 Sep 2023 01:43:09 -0000	1.68
+++ gnu/usr.bin/perl/MANIFEST	20 Dec 2023 03:20:07 -0000
@@ -5875,7 +5875,11 @@ pod/perl5320delta.pod		Perl changes in v
 pod/perl5321delta.pod		Perl changes in version 5.32.1
 pod/perl5340delta.pod		Perl changes in version 5.34.0
 pod/perl5341delta.pod		Perl changes in version 5.34.1
+pod/perl5342delta.pod		Perl changes in version 5.34.2
+pod/perl5343delta.pod		Perl changes in version 5.34.3
 pod/perl5360delta.pod		Perl changes in version 5.36.0
+pod/perl5361delta.pod		Perl changes in version 5.36.1
+pod/perl5362delta.pod		Perl changes in version 5.36.2
 pod/perl561delta.pod		Perl changes in version 5.6.1
 pod/perl56delta.pod		Perl changes in version 5.6
 pod/perl581delta.pod		Perl changes in version 5.8.1
Index: gnu/usr.bin/perl/Makefile.SH
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Makefile.SH,v
diff -u -p -a -u -p -r1.61 Makefile.SH
--- gnu/usr.bin/perl/Makefile.SH	3 Sep 2023 01:43:09 -0000	1.61
+++ gnu/usr.bin/perl/Makefile.SH	20 Dec 2023 03:20:07 -0000
@@ -614,7 +614,7 @@ esac
 
 $spitshell >>$Makefile <<'!NO!SUBS!'
 
-perltoc_pod_prereqs = extra.pods pod/perl5361delta.pod pod/perlapi.pod pod/perlintern.pod pod/perlmodlib.pod
+perltoc_pod_prereqs = extra.pods pod/perl5363delta.pod pod/perlapi.pod pod/perlintern.pod pod/perlmodlib.pod
 generated_pods = pod/perltoc.pod $(perltoc_pod_prereqs)
 generated_headers = uudmap.h bitcount.h mg_data.h
 
@@ -1129,9 +1129,9 @@ pod/perlintern.pod: $(MINIPERL_EXE) auto
 pod/perlmodlib.pod: $(MINIPERL_EXE) pod/perlmodlib.PL MANIFEST
 	$(MINIPERL) pod/perlmodlib.PL -q
 
-pod/perl5361delta.pod: pod/perldelta.pod
-	$(RMS) pod/perl5361delta.pod
-	$(LNS) perldelta.pod pod/perl5361delta.pod
+pod/perl5363delta.pod: pod/perldelta.pod
+	$(RMS) pod/perl5363delta.pod
+	$(LNS) perldelta.pod pod/perl5363delta.pod
 
 extra.pods: $(MINIPERL_EXE)
 	-@test ! -f extra.pods || rm -f `cat extra.pods`
Index: gnu/usr.bin/perl/Makefile.bsd-wrapper1
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Makefile.bsd-wrapper1,v
diff -u -p -a -u -p -r1.44 Makefile.bsd-wrapper1
--- gnu/usr.bin/perl/Makefile.bsd-wrapper1	8 Jul 2023 14:18:35 -0000	1.44
+++ gnu/usr.bin/perl/Makefile.bsd-wrapper1	20 Dec 2023 03:20:07 -0000
@@ -86,8 +86,12 @@ _quick3p=
     perl5321delta 1			pod/perl5321delta.pod \
     perl5340delta 1			pod/perl5340delta.pod \
     perl5341delta 1			pod/perl5341delta.pod \
+    perl5342delta 1			pod/perl5342delta.pod \
+    perl5343delta 1			pod/perl5343delta.pod \
     perl5360delta 1			pod/perl5360delta.pod \
     perl5361delta 1			pod/perl5361delta.pod \
+    perl5362delta 1			pod/perl5362delta.pod \
+    perl5363delta 1			pod/perl5363delta.pod \
     perl561delta 1			pod/perl561delta.pod \
     perl56delta 1			pod/perl56delta.pod \
     perl581delta 1			pod/perl581delta.pod \
Index: gnu/usr.bin/perl/README.haiku
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/README.haiku,v
diff -u -p -a -u -p -r1.13 README.haiku
--- gnu/usr.bin/perl/README.haiku	8 Jul 2023 14:18:35 -0000	1.13
+++ gnu/usr.bin/perl/README.haiku	20 Dec 2023 03:20:07 -0000
@@ -22,9 +22,9 @@ The build procedure is completely standa
 Make perl executable and create a symlink for libperl:
 
   chmod a+x /boot/common/bin/perl
-  cd /boot/common/lib; ln -s perl5/5.36.1/BePC-haiku/CORE/libperl.so .
+  cd /boot/common/lib; ln -s perl5/5.36.3/BePC-haiku/CORE/libperl.so .
 
-Replace C<5.36.1> with your respective version of Perl.
+Replace C<5.36.3> with your respective version of Perl.
 
 =head1 KNOWN PROBLEMS
 
Index: gnu/usr.bin/perl/README.macosx
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/README.macosx,v
diff -u -p -a -u -p -r1.13 README.macosx
--- gnu/usr.bin/perl/README.macosx	8 Jul 2023 14:18:35 -0000	1.13
+++ gnu/usr.bin/perl/README.macosx	20 Dec 2023 03:20:07 -0000
@@ -10,9 +10,9 @@ perlmacosx - Perl under Mac OS X
 
 This document briefly describes Perl under Mac OS X.
 
-  curl -O https://www.cpan.org/src/perl-5.36.1.tar.gz
-  tar -xzf perl-5.36.1.tar.gz
-  cd perl-5.36.1
+  curl -O https://www.cpan.org/src/perl-5.36.3.tar.gz
+  tar -xzf perl-5.36.3.tar.gz
+  cd perl-5.36.3
   ./Configure -des -Dprefix=/usr/local/
   make
   make test
@@ -20,7 +20,7 @@ This document briefly describes Perl und
 
 =head1 DESCRIPTION
 
-The latest Perl release (5.36.1 as of this writing) builds without changes
+The latest Perl release (5.36.3 as of this writing) builds without changes
 under all versions of Mac OS X from 10.3 "Panther" onwards. 
 
 In order to build your own version of Perl you will need 'make',
Index: gnu/usr.bin/perl/README.os2
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/README.os2,v
diff -u -p -a -u -p -r1.29 README.os2
--- gnu/usr.bin/perl/README.os2	8 Jul 2023 14:18:35 -0000	1.29
+++ gnu/usr.bin/perl/README.os2	20 Dec 2023 03:20:07 -0000
@@ -619,7 +619,7 @@ C<set PERLLIB_PREFIX> in F<Config.sys>, 
 
 =item Additional Perl modules
 
-  unzip perl_ste.zip -d f:/perllib/lib/site_perl/5.36.1/
+  unzip perl_ste.zip -d f:/perllib/lib/site_perl/5.36.3/
 
 Same remark as above applies.  Additionally, if this directory is not
 one of directories on @INC (and @INC is influenced by C<PERLLIB_PREFIX>), you
Index: gnu/usr.bin/perl/README.vms
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/README.vms,v
diff -u -p -a -u -p -r1.30 README.vms
--- gnu/usr.bin/perl/README.vms	8 Jul 2023 14:18:35 -0000	1.30
+++ gnu/usr.bin/perl/README.vms	20 Dec 2023 03:20:07 -0000
@@ -137,11 +137,11 @@ You may need to set up a foreign symbol 
 choice.  Once you have done so, use a command like the following to
 unpack the archive:
 
-    vmstar -xvf perl-5^.36^.1.tar
+    vmstar -xvf perl-5^.36^.3.tar
 
 Then set default to the top-level source directory like so:
 
-    set default [.perl-5^.36^.1]
+    set default [.perl-5^.36^.3]
 
 and proceed with configuration as described in the next section.
 
Index: gnu/usr.bin/perl/patchlevel.h
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/patchlevel.h,v
diff -u -p -a -u -p -r1.53 patchlevel.h
--- gnu/usr.bin/perl/patchlevel.h	8 Jul 2023 14:18:35 -0000	1.53
+++ gnu/usr.bin/perl/patchlevel.h	20 Dec 2023 03:20:09 -0000
@@ -39,7 +39,7 @@ Instead use one of the version compariso
 
 #define PERL_REVISION	5		/* age */
 #define PERL_VERSION	36		/* epoch */
-#define PERL_SUBVERSION	1		/* generation */
+#define PERL_SUBVERSION	3		/* generation */
 
 /* The following numbers describe the earliest compatible version of
    Perl ("compatibility" here being defined as sufficient binary/API
Index: gnu/usr.bin/perl/Cross/config.sh-arm-linux
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Cross/config.sh-arm-linux,v
diff -u -p -a -u -p -r1.16 config.sh-arm-linux
--- gnu/usr.bin/perl/Cross/config.sh-arm-linux	8 Jul 2023 14:18:36 -0000	1.16
+++ gnu/usr.bin/perl/Cross/config.sh-arm-linux	20 Dec 2023 03:20:07 -0000
@@ -35,8 +35,8 @@ api_subversion='0'
 api_version='36'
 api_versionstring='5.36.0'
 ar='ar'
-archlib='/usr/lib/perl5/5.36.1/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.36.1/armv4l-linux'
+archlib='/usr/lib/perl5/5.36.3/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.36.3/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -55,7 +55,7 @@ castflags='0'
 cat='cat'
 cc='cc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.36.1/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.36.3/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -831,7 +831,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.36.1/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.36.3/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -839,13 +839,13 @@ installman1dir='./install_me_here/usr/sh
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.36.1'
+installprivlib='./install_me_here/usr/lib/perl5/5.36.3'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.36.1/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.36.3/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.36.1'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.36.3'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -980,8 +980,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.36.1'
-privlibexp='/usr/lib/perl5/5.36.1'
+privlib='/usr/lib/perl5/5.36.3'
+privlibexp='/usr/lib/perl5/5.36.3'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -1046,17 +1046,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.36.1/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.36.1/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.36.3/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.36.3/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.36.1'
+sitelib='/usr/lib/perl5/site_perl/5.36.3'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.36.1'
+sitelibexp='/usr/lib/perl5/site_perl/5.36.3'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -1097,7 +1097,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='1'
+subversion='3'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1188,8 +1188,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.36.1'
-version_patchlevel_string='version 36 subversion 1'
+version='5.36.3'
+version_patchlevel_string='version 36 subversion 3'
 versiononly='undef'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1204,7 +1204,7 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=36
-PERL_SUBVERSION=1
+PERL_SUBVERSION=3
 PERL_API_REVISION=5
 PERL_API_VERSION=36
 PERL_API_SUBVERSION=0
Index: gnu/usr.bin/perl/Cross/config.sh-arm-linux-n770
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Cross/config.sh-arm-linux-n770,v
diff -u -p -a -u -p -r1.13 config.sh-arm-linux-n770
--- gnu/usr.bin/perl/Cross/config.sh-arm-linux-n770	8 Jul 2023 14:18:36 -0000	1.13
+++ gnu/usr.bin/perl/Cross/config.sh-arm-linux-n770	20 Dec 2023 03:20:07 -0000
@@ -35,8 +35,8 @@ api_subversion='0'
 api_version='36'
 api_versionstring='5.36.0'
 ar='ar'
-archlib='/usr/lib/perl5/5.36.1/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.36.1/armv4l-linux'
+archlib='/usr/lib/perl5/5.36.3/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.36.3/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -54,7 +54,7 @@ castflags='0'
 cat='cat'
 cc='arm-none-linux-gnueabi-gcc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.36.1/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.36.3/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -829,7 +829,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.36.1/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.36.3/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -837,13 +837,13 @@ installman1dir='./install_me_here/usr/sh
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.36.1'
+installprivlib='./install_me_here/usr/lib/perl5/5.36.3'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.36.1/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.36.3/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.36.1'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.36.3'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -978,8 +978,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.36.1'
-privlibexp='/usr/lib/perl5/5.36.1'
+privlib='/usr/lib/perl5/5.36.3'
+privlibexp='/usr/lib/perl5/5.36.3'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -1044,17 +1044,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.36.1/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.36.1/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.36.3/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.36.3/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.36.1'
+sitelib='/usr/lib/perl5/site_perl/5.36.3'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.36.1'
+sitelibexp='/usr/lib/perl5/site_perl/5.36.3'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -1095,7 +1095,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='1'
+subversion='3'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1186,8 +1186,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.36.1'
-version_patchlevel_string='version 36 subversion 1'
+version='5.36.3'
+version_patchlevel_string='version 36 subversion 3'
 versiononly='undef'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1202,7 +1202,7 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=36
-PERL_SUBVERSION=1
+PERL_SUBVERSION=3
 PERL_API_REVISION=5
 PERL_API_VERSION=36
 PERL_API_SUBVERSION=0
Index: gnu/usr.bin/perl/Porting/config.sh
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/config.sh,v
diff -u -p -a -u -p -r1.16 config.sh
--- gnu/usr.bin/perl/Porting/config.sh	8 Jul 2023 14:18:36 -0000	1.16
+++ gnu/usr.bin/perl/Porting/config.sh	20 Dec 2023 03:20:07 -0000
@@ -50,8 +50,8 @@ api_subversion='0'
 api_version='36'
 api_versionstring='5.36.0'
 ar='ar'
-archlib='/opt/perl/lib/5.36.1/x86_64-linux-thread-multi-ld'
-archlibexp='/opt/perl/lib/5.36.1/x86_64-linux-thread-multi-ld'
+archlib='/opt/perl/lib/5.36.3/x86_64-linux-thread-multi-ld'
+archlibexp='/opt/perl/lib/5.36.3/x86_64-linux-thread-multi-ld'
 archname64=''
 archname='x86_64-linux-thread-multi-ld'
 archobjs=''
@@ -860,7 +860,7 @@ incpath=''
 incpth='/usr/lib64/gcc/x86_64-suse-linux/10/include /usr/local/include /usr/lib64/gcc/x86_64-suse-linux/10/include-fixed /usr/lib64/gcc/x86_64-suse-linux/10/../../../../x86_64-suse-linux/include /usr/include'
 inews=''
 initialinstalllocation='/opt/perl/bin'
-installarchlib='/opt/perl/lib/5.36.1/x86_64-linux-thread-multi-ld'
+installarchlib='/opt/perl/lib/5.36.3/x86_64-linux-thread-multi-ld'
 installbin='/opt/perl/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -868,13 +868,13 @@ installman1dir='/opt/perl/man/man1'
 installman3dir='/opt/perl/man/man3'
 installprefix='/opt/perl'
 installprefixexp='/opt/perl'
-installprivlib='/opt/perl/lib/5.36.1'
+installprivlib='/opt/perl/lib/5.36.3'
 installscript='/opt/perl/bin'
-installsitearch='/opt/perl/lib/site_perl/5.36.1/x86_64-linux-thread-multi-ld'
+installsitearch='/opt/perl/lib/site_perl/5.36.3/x86_64-linux-thread-multi-ld'
 installsitebin='/opt/perl/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='/opt/perl/lib/site_perl/5.36.1'
+installsitelib='/opt/perl/lib/site_perl/5.36.3'
 installsiteman1dir='/opt/perl/man/man1'
 installsiteman3dir='/opt/perl/man/man3'
 installsitescript='/opt/perl/bin'
@@ -1000,7 +1000,7 @@ perl_static_inline='static __inline__'
 perl_thread_local=''
 perladmin='yourname@yourhost.yourplace.com'
 perllibs='-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc'
-perlpath='/opt/perl/bin/perl5.36.1'
+perlpath='/opt/perl/bin/perl5.36.3'
 pg='pg'
 phostname=''
 pidtype='pid_t'
@@ -1009,8 +1009,8 @@ pmake=''
 pr=''
 prefix='/opt/perl'
 prefixexp='/opt/perl'
-privlib='/opt/perl/lib/5.36.1'
-privlibexp='/opt/perl/lib/5.36.1'
+privlib='/opt/perl/lib/5.36.3'
+privlibexp='/opt/perl/lib/5.36.3'
 procselfexe='"/proc/self/exe"'
 ptrsize='8'
 quadkind='2'
@@ -1075,17 +1075,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 6, 17, 29, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/opt/perl/lib/site_perl/5.36.1/x86_64-linux-thread-multi-ld'
-sitearchexp='/opt/perl/lib/site_perl/5.36.1/x86_64-linux-thread-multi-ld'
+sitearch='/opt/perl/lib/site_perl/5.36.3/x86_64-linux-thread-multi-ld'
+sitearchexp='/opt/perl/lib/site_perl/5.36.3/x86_64-linux-thread-multi-ld'
 sitebin='/opt/perl/bin'
 sitebinexp='/opt/perl/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/opt/perl/lib/site_perl/5.36.1'
+sitelib='/opt/perl/lib/site_perl/5.36.3'
 sitelib_stem='/opt/perl/lib/site_perl'
-sitelibexp='/opt/perl/lib/site_perl/5.36.1'
+sitelibexp='/opt/perl/lib/site_perl/5.36.3'
 siteman1dir='/opt/perl/man/man1'
 siteman1direxp='/opt/perl/man/man1'
 siteman3dir='/opt/perl/man/man3'
@@ -1113,7 +1113,7 @@ st_dev_sign='1'
 st_dev_size='4'
 st_ino_sign='1'
 st_ino_size='8'
-startperl='#!/opt/perl/bin/perl5.36.1'
+startperl='#!/opt/perl/bin/perl5.36.3'
 startsh='#!/bin/sh'
 static_ext=' '
 stdchar='char'
@@ -1125,7 +1125,7 @@ stdio_ptr='((fp)->_ptr)'
 stdio_stream_array=''
 strerror_r_proto='REENTRANT_PROTO_B_IBW'
 submit=''
-subversion='1'
+subversion='3'
 sysman='/usr/share/man/man1'
 sysroot=''
 tail=''
@@ -1224,8 +1224,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.36.1'
-version_patchlevel_string='version 36 subversion 1'
+version='5.36.3'
+version_patchlevel_string='version 36 subversion 3'
 versiononly='define'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1236,7 +1236,7 @@ zcat=''
 zip='zip'
 PERL_REVISION=5
 PERL_VERSION=36
-PERL_SUBVERSION=1
+PERL_SUBVERSION=3
 PERL_API_REVISION=5
 PERL_API_VERSION=36
 PERL_API_SUBVERSION=0
Index: gnu/usr.bin/perl/Porting/config_H
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/config_H,v
diff -u -p -a -u -p -r1.28 config_H
--- gnu/usr.bin/perl/Porting/config_H	8 Jul 2023 14:18:36 -0000	1.28
+++ gnu/usr.bin/perl/Porting/config_H	20 Dec 2023 03:20:07 -0000
@@ -1239,8 +1239,8 @@
  *	This symbol contains the ~name expanded version of ARCHLIB, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define ARCHLIB "/opt/perl/lib/5.36.1/x86_64-linux"		/**/
-#define ARCHLIB_EXP "/opt/perl/lib/5.36.1/x86_64-linux"		/**/
+#define ARCHLIB "/opt/perl/lib/5.36.3/x86_64-linux"		/**/
+#define ARCHLIB_EXP "/opt/perl/lib/5.36.3/x86_64-linux"		/**/
 
 /* BIN:
  *	This symbol holds the path of the bin directory where the package will
@@ -1293,8 +1293,8 @@
  *	This symbol contains the ~name expanded version of PRIVLIB, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define PRIVLIB "/opt/perl/lib/5.36.1"		/**/
-#define PRIVLIB_EXP "/opt/perl/lib/5.36.1"		/**/
+#define PRIVLIB "/opt/perl/lib/5.36.3"		/**/
+#define PRIVLIB_EXP "/opt/perl/lib/5.36.3"		/**/
 
 /* SITEARCH:
  *	This symbol contains the name of the private library for this package.
@@ -1311,8 +1311,8 @@
  *	This symbol contains the ~name expanded version of SITEARCH, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define SITEARCH "/opt/perl/lib/site_perl/5.36.1/x86_64-linux"		/**/
-#define SITEARCH_EXP "/opt/perl/lib/site_perl/5.36.1/x86_64-linux"		/**/
+#define SITEARCH "/opt/perl/lib/site_perl/5.36.3/x86_64-linux"		/**/
+#define SITEARCH_EXP "/opt/perl/lib/site_perl/5.36.3/x86_64-linux"		/**/
 
 /* SITELIB:
  *	This symbol contains the name of the private library for this package.
@@ -1334,8 +1334,8 @@
  *	removed.  The elements in inc_version_list (inc_version_list.U) can
  *	be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "/opt/perl/lib/site_perl/5.36.1"		/**/
-#define SITELIB_EXP "/opt/perl/lib/site_perl/5.36.1"		/**/
+#define SITELIB "/opt/perl/lib/site_perl/5.36.3"		/**/
+#define SITELIB_EXP "/opt/perl/lib/site_perl/5.36.3"		/**/
 #define SITELIB_STEM "/opt/perl/lib/site_perl"		/**/
 
 /* PERL_VENDORARCH:
@@ -4109,7 +4109,7 @@
  *	script to make sure (one hopes) that it runs with perl and not
  *	some shell.
  */
-#define STARTPERL "#!/opt/perl/bin/perl5.36.1"		/**/
+#define STARTPERL "#!/opt/perl/bin/perl5.36.3"		/**/
 
 /* HAS_STDIO_STREAM_ARRAY:
  *	This symbol, if defined, tells that there is an array
Index: gnu/usr.bin/perl/Porting/epigraphs.pod
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/epigraphs.pod,v
diff -u -p -a -u -p -r1.13 epigraphs.pod
--- gnu/usr.bin/perl/Porting/epigraphs.pod	8 Jul 2023 14:18:36 -0000	1.13
+++ gnu/usr.bin/perl/Porting/epigraphs.pod	20 Dec 2023 03:20:07 -0000
@@ -118,6 +118,14 @@ L<Announced on 2022-05-27 by Ricardo Sig
 
 I have nothing to say, and I am saying it.
 
+=head2 v5.36.1 - Louis Kentner, "Piano"
+
+L<Announced on 2023-04-23 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2023/04/msg266251.html>
+
+Pianists can be divided into the following three categories: those who
+practice a lot and admit it; those who practice a lot but deny it; and
+those who do not practice and, therefore, are no pianists.
+
 =head2 v5.36.1-RC3 - Karl Leimer & Walter Gieseking, trans. Frederick C. Rauser, "Rhythmics, Dynamics, Pedal and Other Problems of Piano Playing"
 
 L<Announced on 2023-04-16 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2023/04/msg266232.html>
Index: gnu/usr.bin/perl/Porting/make-rmg-checklist
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/make-rmg-checklist,v
diff -u -p -a -u -p -r1.2 make-rmg-checklist
--- gnu/usr.bin/perl/Porting/make-rmg-checklist	8 Jul 2023 14:18:36 -0000	1.2
+++ gnu/usr.bin/perl/Porting/make-rmg-checklist	20 Dec 2023 03:20:07 -0000
@@ -148,7 +148,7 @@ my $passthru_headers = qr/^= (?: over | 
 
 # version used when generating diffs (acknowledgements, Module::CoreList etc)
 # 5.36.0 -> 5.34.0
-# 5.36.1 -> 5.36.0
+# 5.36.3 -> 5.36.0
 my ($major, $minor, $point) = split(/\./, $version);
 my $last_version = join('.', $major, ($point == 0 ? ($minor - 2, 0) : ($minor, $point-1)));
 
Index: gnu/usr.bin/perl/Porting/perldelta_template.pod
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/perldelta_template.pod,v
diff -u -p -a -u -p -r1.12 perldelta_template.pod
--- gnu/usr.bin/perl/Porting/perldelta_template.pod	8 Jul 2023 14:18:36 -0000	1.12
+++ gnu/usr.bin/perl/Porting/perldelta_template.pod	20 Dec 2023 03:20:07 -0000
@@ -403,7 +403,7 @@ died, add a short obituary here.
 
 XXX Generate this with:
 
-  perl Porting/acknowledgements.pl v5.36.1..HEAD
+  perl Porting/acknowledgements.pl v5.36.3..HEAD
 
 =head1 Reporting Bugs
 
Index: gnu/usr.bin/perl/Porting/release_schedule.pod
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/release_schedule.pod,v
diff -u -p -a -u -p -r1.10 release_schedule.pod
--- gnu/usr.bin/perl/Porting/release_schedule.pod	8 Jul 2023 14:18:36 -0000	1.10
+++ gnu/usr.bin/perl/Porting/release_schedule.pod	20 Dec 2023 03:20:07 -0000
@@ -14,7 +14,7 @@ deemed necessary by the Steering Council
 =head2 Perl 5.36
 
   2022-05-27  5.36.0  ✓       Ricardo Signes
-  2022-04-23  5.36.1           Steve Hay
+  2023-04-23  5.36.1  ✓       Steve Hay
 
 =head2 Perl 5.34
 
Index: gnu/usr.bin/perl/Porting/todo.pod
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/todo.pod,v
diff -u -p -a -u -p -r1.11 todo.pod
--- gnu/usr.bin/perl/Porting/todo.pod	8 Jul 2023 14:18:36 -0000	1.11
+++ gnu/usr.bin/perl/Porting/todo.pod	20 Dec 2023 03:20:07 -0000
@@ -486,7 +486,7 @@ Natively 64-bit systems need neither -Du
 On these systems, it might be the default compilation mode, and there
 is currently no guarantee that passing no use64bitall option to the
 Configure process will build a 32bit perl. Implementing -Duse32bit*
-options would be nice for perl 5.36.1.
+options would be nice for perl 5.36.3.
 
 =head2 Profile Perl - am I hot or not?
 
@@ -1183,7 +1183,7 @@ L<http://www.xray.mpe.mpg.de/mailing-lis
 =head1 Big projects
 
 Tasks that will get your name mentioned in the description of the "Highlights
-of 5.36.1"
+of 5.36.3"
 
 =head2 make ithreads more robust
 
Index: gnu/usr.bin/perl/hints/catamount.sh
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/hints/catamount.sh,v
diff -u -p -a -u -p -r1.13 catamount.sh
--- gnu/usr.bin/perl/hints/catamount.sh	8 Jul 2023 14:18:36 -0000	1.13
+++ gnu/usr.bin/perl/hints/catamount.sh	20 Dec 2023 03:20:09 -0000
@@ -31,11 +31,11 @@
 # mkdir -p /opt/perl-catamount
 # mkdir -p /opt/perl-catamount/include
 # mkdir -p /opt/perl-catamount/lib
-# mkdir -p /opt/perl-catamount/lib/perl5/5.36.1
+# mkdir -p /opt/perl-catamount/lib/perl5/5.36.3
 # mkdir -p /opt/perl-catamount/bin
 # cp *.h /opt/perl-catamount/include
 # cp libperl.a /opt/perl-catamount/lib
-# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.36.1
+# cp -pr lib/* /opt/perl-catamount/lib/perl5/5.36.3
 # cp miniperl perl run.sh cc.sh /opt/perl-catamount/lib
 #
 # With the headers and the libperl.a you can embed Perl to your Catamount
